Skip to main content
GET
/
v1
/
knowledge-base
/
{id}
Get a knowledge base by ID
curl --request GET \
  --url https://api.roark.ai/v1/knowledge-base/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "sourceType": "TEXT",
    "status": "READY",
    "originalFilename": "<string>",
    "mimeType": "<string>",
    "byteSize": 1,
    "contentHash": "<string>",
    "errorMessage": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.roark.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Knowledge base ID

Response

The requested knowledge base.

data
KnowledgeBase · object
required

A customer-uploaded reference document attached to custom metrics as ground truth at evaluation time.